## apt 1.3.1

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
project(apt)
cmake_minimum_required(VERSION 3.4.0)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(WITH_DOC "Build documentation." ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)

# apt-ftparchive dependencies
find_package(BerkeleyDB REQUIRED)
if (BERKELEY_DB_FOUND)
  set(HAVE_BDB 1)
endif()


# apt-transport-https dependencies
find_package(CURL REQUIRED)
if (CURL_FOUND)
  set(HAVE_CURL 1)
endif()

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

if (CMAKE_USE_PTHREADS_INIT)
  set(HAVE_PTHREAD 1)
endif()

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_init HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "1.3.1")

if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")


# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
add_subdirectory(apt-inst)
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)

# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== apt-private/CMakeLists.txt ===
# Set the version of the library
set(MAJOR 0.0)
set(MINOR 0)

# Definition of the C++ files used to build the library
file(GLOB_RECURSE library "*.cc")
file(GLOB_RECURSE headers "*.h")

# Create a library using the C++ files
add_library(apt-private SHARED ${library})

# Link the library and set the SONAME
target_link_libraries(apt-private PUBLIC apt-pkg)
set_target_properties(apt-private PROPERTIES VERSION ${MAJOR}.${MINOR})
set_target_properties(apt-private PROPERTIES SOVERSION ${MAJOR})
add_version_script(apt-private)

# Install the library and the headers
install(TARGETS apt-private
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        NAMELINK_SKIP)

flatify(${PROJECT_BINARY_DIR}/include/apt-private/ "${headers}")

=== ftparchive/CMakeLists.txt ===
include_directories(${BERKELEY_DB_INCLUDE_DIRS})
# Create the executable tasks
file(GLOB_RECURSE source "*.cc")
add_executable(apt-ftparchive ${source})

# Link the executables against the libraries
target_include_directories(apt-ftparchive PRIVATE ${BERKELEY_DB_INCLUDE_DIRS})
target_link_libraries(apt-ftparchive apt-inst apt-pkg apt-private ${BERKELEY_DB_LIBRARIES})

# Install the executables
install(TARGETS apt-ftparchive RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== methods/CMakeLists.txt ===
# Create the executable targets
add_executable(file file.cc)
add_executable(copy copy.cc)
add_executable(store store.cc)
add_executable(gpgv gpgv.cc)
add_executable(cdrom cdrom.cc)
add_executable(http http.cc http_main.cc rfc2553emu.cc connect.cc server.cc)
add_executable(mirror mirror.cc http.cc rfc2553emu.cc connect.cc server.cc)
add_executable(https https.cc server.cc)
add_executable(ftp ftp.cc rfc2553emu.cc connect.cc)
add_executable(rred rred.cc)
add_executable(rsh rsh.cc)

# Add target-specific header directories
target_include_directories(https PRIVATE ${CURL_INCLUDE_DIRS})

# Link the executables against the libraries
target_link_libraries(file apt-pkg)
target_link_libraries(copy apt-pkg)
target_link_libraries(store apt-pkg)
target_link_libraries(gpgv apt-pkg)
target_link_libraries(cdrom apt-pkg)
target_link_libraries(http apt-pkg)
target_link_libraries(mirror apt-pkg ${RESOLV_LIBRARIES})
target_link_libraries(https apt-pkg ${CURL_LIBRARIES})
target_link_libraries(ftp apt-pkg)
target_link_libraries(rred apt-pkg)
target_link_libraries(rsh apt-pkg)

# Install the library
install(TARGETS file copy store gpgv cdrom http https ftp rred rsh mirror
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/methods)

add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods store gzip lzma bzip2 xz)
add_slaves(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods rsh ssh)

=== debian/changelog ===
apt (1.3.1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not read stderr from proxy autodetection scripts
  * travis: Move codecov from after_success to after_script

  [ victory ]
  * Japanese manpages translation update

  [ Mert Dirik ]
  * Turkish program translation update (Closes: #838731)

 -- Julian Andres Klode <jak@debian.org>  Tue, 04 Oct 2016 19:43:35 +0200

apt (1.3) unstable; urgency=medium

  [ David Kalnischkies ]
  * abort connection on '.' target replies in SRV
  * edsp: try 2 to read responses even if writing failed

  [ Julian Andres Klode ]
  * test: Always install dpkg into our tests, regardless of MA
  * CMake: Add coverage build type
  * Coverage: Do not print messages from gcov
  * VersionHash: Do not skip too long dependency lines

 -- Julian Andres Klode <jak@debian.org>  Tue, 20 Sep 2016 23:53:51 +0200

apt (1.3~rc4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fix segfault and out-of-bounds read in Binary fields
  * TagFile: Fix off-by-one errors in comment stripping
  * Base256ToNum: Fix uninitialized value
  * test-apt-cdrom: Fix for gnupg 2.1.15
  * CMake: test/libapt: Use a prebuilt GTest library if available
  * CMake: apt-pkg: Use correct ICONV_INCLUDE_DIRS variable
  * acquire: Use priority queues and a 3 stage pipeline design
    => faster updates with better progress reporting
  * debian: Move bugscript to old location for overlayfs xdev issue
  * debian: Pass -O to make to get readable build logs

  [ David Kalnischkies ]
  * try not to call memcpy with length 0 in hash calculations
  * re-add apt breaks/replaces apt-utils (<< 1.3~exp2~) (Closes: #836220)
  * support long keyid and fingerprint in gpgv's GOODSIG

 -- Julian Andres Klode <jak@debian.org>  Fri, 02 Sep 2016 20:26:36 +0200

apt (1.3~rc3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Ignore SIGINT and SIGQUIT for Pre-Install hooks
    This basically fixes Bug #832593, as long as your /bin/sh
    is not dash, as dash is evil.
  * prepare-release: Use equivs and gdebi-core for travis deps
  * install-progress: Call the real ::fork() in our fork() method
  * Packaging cleanup:
    - debian: Install etc/apt if present (e.g., on Ubuntu)
    - tests/control: Handle the gpg1/gpg2 mess a bit better
    - debian: Make better use of the tree installed by CMake
    - debian: Switch to debhelper 10
    - debian: Add more lintian overrides
    - debian: Drop outdated stuff
    - debian: Run wrap-and-sort
    - Add new symbols to symbols file
  * Build system fixes, including:
   - CMake: Translations: Don't rebuild .mo for line number changes
   - CMake: Translations: Pass --previous to msgmerge.
     Thanks to Guillem Jover for the suggestion.
   - CMake: Do not add po/ if USE_NLS is OFF
   - CMake: Install config and logging directories
   - CMake: Translations: Build byproduct before output
   - CMake: Add Large File Support (Closes: #834767)
  * Several portability fixes (full test suite passes on FreeBSD), including:
   - CMake: Discover docbook stylesheet in other locations
   - Add missing includes and external definitions
   - Use C locale instead of C.UTF-8 for protocol strings
   - Make directory paths configurable
   - Lower-case uname -r output in kernel autoremove helper
   - Make root group configurable via ROOT_GROUP
  * Accept --autoremove as alias for --auto-remove
  * apt-inst: debfile: Pass comp. Name to ExtractTar, not Binary
  * changelog: Respect Dir setting for local changelog getting
  * init: Add Dir::Bin::planners default entry
  * Switch documentation from httpredir.d.o to deb.d.o

  [ Zhou Mo ]
  * zh_CN.po: update simplified Chinese translation

  [ David Kalnischkies ]
  * do dpkg --configure before --remove/--purge --pending (Closes: 835094)
  * prevent C++ locale number formatting in text APIs (try 3) (LP: 1611010)
  * do fail on weakhash/loop earlier in acquire (Closes: 835195)
  * do not restore selections for already purged packages
  * apt-key: warn instead of fail on unreadable keyrings
  * show apt-key warnings in apt update (Closes: 834973)
  * treat .ddeb files like .deb, especially for dpkg (LP: #1616909)
  * randomize acquire order for same type index files
  * don't loop on pinning pkgs from absolute debs by regex (Closes: 835818)

 -- Julian Andres Klode <jak@debian.org>  Tue, 30 Aug 2016 22:20:28 +0200

apt (1.3~rc2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * debian/NEWS: Get rid of 1.3~pre3+cmake1 entry.
    Thanks to Axel Beckert for reporting
  * CMake: Use COPYONLY instead of @ONLY
  * fileutl: empty file support: Avoid fstat() on -1 fd and check result
  * Change anonscm.d.o links to /git/apt/apt.git and https

  [ David Kalnischkies ]
  * don't perform int<float in progress bar drawing
  * ensure a good clock() value for usage and tests
  * drop incorrect const attribute from DirectoryExists (LP: 1473674)
  * http(s): allow empty values for header fields (Closes: 834048)
  * don't sent Range requests if we know its not accepted
  * don't try pipelining if server closes connections (Closes: #832113)
  * log with the failed item description, not with next try
  * retry without same redirection mirror on 404 errors
  * support getting only-uncompressed files via by-hash
  * support compression and by-hash for .diff/Index files (Closes: #824926)
  * default to Dir=/ in dpkg/status file finding magic
  * add the gpg-classic variant to the gpgv/gnupg or-group
  * allow spaces in fingerprints for 'apt-key del'
  * add --with-source option and Packages/Sources support
  * don't count each Type as an individual deb822-sources stanza
  * methods: read config in most to least specific order (Closes: 834642)

 -- Julian Andres Klode <jak@debian.org>  Wed, 17 Aug 2016 23:31:07 +0200

apt (1.3~rc1) unstable; urgency=medium

  * Summary: CMake branch merged, socks5h (and tor) support, and fancy
    installation ordering changes.

  [ Julian Andres Klode ]


=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Standards-Version: 3.9.8
Build-Depends: cmake (>= 3.4),
               debhelper (>= 9.20160709~),
               dh-systemd,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.17.14),
               gettext (>= 0.12),
               libbz2-dev,
               libcurl4-gnutls-dev (>= 7.19.4~),
               libdb-dev,
               libgtest-dev <!nocheck>,
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               pkg-config,
               po4a (>= 0.34-2),
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz, w3m
Vcs-Git: https://anonscm.debian.org/git/apt/apt.git
Vcs-Browser: https://anonscm.debian.org/git/apt/apt.git
Testsuite: autopkgtest

Package: apt
Architecture: any
Depends: adduser,
         gpgv | gpgv2 | gpgv1,
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-utils (<< 1.3~exp2~)
Breaks: apt-utils (<< 1.3~exp2~)
Recommends: gnupg | gnupg2 | gnupg1
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          powermgmt-base,
          python-apt
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg5.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: appstream (<< 0.9.0-3~), apt (<< 1.1~exp14), libapt-inst1.5 (<< 0.9.9~)
Recommends: apt (>= ${binary:Version})
Section: libs
Provides: libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http, rsh as well as an interface to add more transports like
    https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Package: libapt-inst2.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Provides: libapt-inst (= ${binary:Version})
Description: deb package format runtime library
 This library provides methods to query and extract information
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-inst (= ${binary:Version}),
         libapt-pkg (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Priority: optional
Description: https download transport for APT
 This package enables the usage of 'deb https://foo distro main' lines
 in the /etc/apt/sources.list so that all package managers using the
 libapt-pkg library can access metadata and packages available in sources
 accessible over https (Hypertext Transfer Protocol Secure).
 .
 This transport supports server as well as client authentication
 with certificates.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1

%:
	dh $@

override_dh_install-indep:
	dh_install --list-missing

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/https
	dh_install --remaining --list-missing
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove
	install -m 755 debian/apt.auto-removal.sh debian/apt/etc/kernel/postinst.d/apt-auto-removal

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"

override_dh_installcron:
	dh_installcron --name=apt-compat


override_dh_auto_configure-arch: flags=-DWITH_DOC=OFF
override_dh_auto_configure-indep: flags=-DWITH_DOC=ON
override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- $(flags)

override_dh_auto_build:
	dh_auto_build -- -O

## apt 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -170,7 +170,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.3.1")
+set(PACKAGE_VERSION "1.3.3")
 
 if (NOT DEFINED COMMON_ARCH)
   execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH

=== apt-inst/CMakeLists.txt ===
# Include apt-pkg directly, as some files have #include <system.h>
include_directories(${PROJECT_BINARY_DIR}/include/apt-pkg)

# Set the version of the library
set(MAJOR 2.0)
set(MINOR 0)
set(APT_INST_MAJOR ${MAJOR} PARENT_SCOPE)

# Definition of the C++ files used to build the library
file(GLOB_RECURSE library "*.cc")
file(GLOB_RECURSE headers "*.h")

# Create a library using the C++ files
add_library(apt-inst SHARED ${library})

# Link the library and set the SONAME
target_link_libraries(apt-inst PUBLIC apt-pkg ${CMAKE_THREAD_LIBS_INIT})
target_link_libraries(apt-inst PRIVATE ${CMAKE_THREAD_LIBS_INIT})
set_target_properties(apt-inst PROPERTIES VERSION ${MAJOR}.${MINOR})
set_target_properties(apt-inst PROPERTIES SOVERSION ${MAJOR})
add_version_script(apt-inst)

# Install the library and the headers
install(TARGETS apt-inst LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/apt-pkg)
flatify(${PROJECT_BINARY_DIR}/include/apt-pkg/ "${headers}")

=== test/libapt/CMakeLists.txt ===
set(GTEST_ROOT "/usr/src/gtest" CACHE FILEPATH "Path to GTest CMake project")

find_package(GTest)
set(GTEST_DEPENDENCIES)

if(NOT GTEST_FOUND AND EXISTS ${GTEST_ROOT})
   include(ExternalProject)
   ExternalProject_Add(gtest PREFIX ./gtest
                             SOURCE_DIR ${GTEST_ROOT}
                             INSTALL_COMMAND true)

   link_directories(${CMAKE_CURRENT_BINARY_DIR}/gtest/src/gtest-build)

   set(GTEST_LIBRARIES "-lgtest")
   set(GTEST_DEPENDENCIES "gtest")
   set(GTEST_FOUND TRUE)
   find_path(GTEST_INCLUDE_DIRS NAMES gtest/gtest.h)

   message(STATUS "Found GTest at ${GTEST_ROOT}, headers at ${GTEST_INCLUDE_DIRS}")
endif()

if(GTEST_FOUND)
   file(GLOB files gtest_runner.cc *-helpers.cc *_test.cc)
   add_executable(libapt_test ${files})
   target_include_directories(libapt_test PRIVATE ${GTEST_INCLUDE_DIRS})
   target_link_libraries(libapt_test ${GTEST_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} apt-private apt-inst)
   if (GTEST_DEPENDENCIES)
      add_dependencies(libapt_test ${GTEST_DEPENDENCIES})
   endif()
   add_test(NAME AptTests
            COMMAND libapt_test
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

=== debian/changelog ===
apt (1.3.3) yakkety; urgency=medium

  [ Michael Vogt ]
  * Do not (re)start "apt-daily.system"
    Thanks to Alexandre Detiste (Closes: #841763) (LP: #1649959)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 14 Dec 2016 20:25:22 +0100

apt (1.3.2) yakkety-security; urgency=high

  * Hack around Ubuntu rejecting symlink copyright
  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)
  * gpgv: Flush the files before checking for errors

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 08 Dec 2016 15:22:30 +0100

## apt 1.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,7 +113,7 @@
 
 check_function_exists(statvfs HAVE_STATVFS)
 if (NOT HAVE_STATVFS)
-  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/statvfs.h COPYONLY)
+  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
 endif()
 
 CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)
@@ -170,7 +170,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.3.3")
+set(PACKAGE_VERSION "1.3.5")
 
 if (NOT DEFINED COMMON_ARCH)
   execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH

=== debian/changelog ===
apt (1.3.5) yakkety; urgency=medium

  * Microrelease covering important fixes of 1.4~rc2 (LP: #1668280)

  [ David Kalnischkies ]
  * don't install new deps of candidates for kept back pkgs
  * keep Release.gpg on untrusted to trusted IMS-Hit (Closes: 838779)
    (LP: #1657440)
  * reset HOME, USER(NAME), TMPDIR & SHELL in DropPrivileges (Closes: 842877)
  * add TMP/TEMP/TEMPDIR to the TMPDIR DropPrivileges dance
  * react to trig-pend only if we have nothing else to do
  * correct cross & disappear progress detection
  * improve arch-unqualified dpkg-progress parsing
  * don't perform implicit crossgrades involving M-A:same
  * do not configure unconfigured to be removed packages
  * skip unconfigure for unconfigured to-be removed pkgs
  * get pdiff files from the same mirror as the index
  * let {dsc,tar,diff}-only implicitly enable download-only
  * ensure generation of valid EDSP error stanzas
  * fix minimum pkgs option for dpkg --recursive usage
  * don't show update stats if cache generation is disabled
  * don't lock dpkg in 'apt-get clean'
  * don't lock dpkg in update commands
  * avoid validate/delete/load race in cache generation
  * fix 'install --no-download' mode
  * remove 'old' FAILED files in the next acquire call (Closes: 846476)
  * stop rred from leaking debug messages on recovered errors (Closes: #850759)

  [ Edgar Fuß ]
  * http: clear content before reporting the failure (Closes: #465572)

  [ Paul Wise ]
  * show output as documented for APT::Periodic::Verbose 2 (Closes: 845599)

  [ John R. Lenton ]
  * bash-completion: Only complete understood file paths for install
    (LP: #1645815)

  [ Lukasz Kawczynski ]
  * Honour Acquire::ForceIPv4/6 in the https transport

  [ Julian Andres Klode ]
  * basehttp: Only read Content-Range on 416 and 206 responses (LP: #1657567)
  * Only merge acquire items with the same meta key (Closes: #838441)
  * Do not package names representing .dsc/.deb/... files (Closes: #854794)
  * Don't use -1 fd and AT_SYMLINK_NOFOLLOW for faccessat()
    Thanks to James Clarke for debugging these issues
  * CMake: Install statvfs.h to include/sys, not just include/

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 27 Feb 2017 15:02:40 +0100

apt (1.3.4) yakkety; urgency=medium

  * https: Quote path in URL before passing it to curl (LP: #1651923)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 17 Jan 2017 15:46:33 +0100

## apt 1.4~rc1

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,8 @@
 find_package(Threads)
 find_package(LFS REQUIRED)
 find_package(Iconv REQUIRED)
+
+find_package(Perl REQUIRED)
 
 if(USE_NLS)
   find_package(Intl REQUIRED)
@@ -113,7 +115,7 @@
 
 check_function_exists(statvfs HAVE_STATVFS)
 if (NOT HAVE_STATVFS)
-  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
+  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/statvfs.h COPYONLY)
 endif()
 
 CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)
@@ -170,8 +172,14 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.3.5")
-
+set(PACKAGE_VERSION "1.4~rc1")
+
+if (NOT DEFINED DPKG_DATADIR)
+  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
+                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE)
+  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
+  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
+endif()
 if (NOT DEFINED COMMON_ARCH)
   execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                   OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)

=== debian/changelog ===
apt (1.4~rc1) unstable; urgency=medium

  [ David Kalnischkies ]
  * don't show update stats if cache generation is disabled
  * don't lock dpkg in 'apt-get clean'
  * don't lock dpkg in update commands
  * avoid validate/delete/load race in cache generation
  * fix 'install --no-download' mode
  * remove 'old' FAILED files in the next acquire call (Closes: 846476)
  * stop rred from leaking debug messages on recovered errors (Closes: #850759)
  * make the moo reproducible.
    Thanks to Chris Lamb for initial patch and guru meditation (Closes: #848721)
  * update release mappings in documentation
  * avoid malloc if option whitelist is disabled (default)

  [ Julian Andres Klode ]
  * basehttp: Only read Content-Range on 416 and 206 responses (LP: #1657567)
  * test suite: Do not exit 0 in trap for QUIT
  * Only merge acquire items with the same meta key (Closes: #838441)

  [ Zhou Mo ]
  * po: update Simplified Chinese program translation

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: 852460)

  [ victory ]
  * Japanese manpages & program translation update

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #853761)
  * Dutch manpage translation update (Closes: #853762)

 -- Julian Andres Klode <jak@debian.org>  Mon, 06 Feb 2017 14:41:23 +0100

apt (1.4~beta4) unstable; urgency=medium

  * Read dpkg tables to handle architecture wildcards.
    Thanks to James Clarke <jrtc27@jrtc27.com> for the initial patch
    (Closes: #748936)
  * https: Quote path in URL before passing it to curl (LP: #1651923)
  * Update symbols file for changes in 1.3.1, 1.4~beta{1,3,4}

 -- Julian Andres Klode <jak@debian.org>  Tue, 17 Jan 2017 15:18:27 +0100

apt (1.4~beta3) unstable; urgency=medium

  [ Lukasz Kawczynski ]
  * Honour Acquire::ForceIPv4/6 in the https transport

  [ David Kalnischkies ]
  * reword "Can't drop priv" warning message (Closes: #813786) (LP: #1522675)
  * let {dsc,tar,diff}-only implicitly enable download-only
  * remove needless fork() in apt-get source
  * default to --no-check for dpkg-source call (Closes: 724744)
  * warn if clearsigned file has ignored content parts
  * ensure generation of valid EDSP error stanzas
  * add --indep-only for build-dep command (Closes: #845775)
  * allow default build-essentials to be overridden
  * expand -f to --fix-broken in error messages.
    Thanks to Kristian Glass for initial patch! (Closes: #709092)
  * separating state variables regarding server/request (Closes: #440057)
  * fix minimum pkgs option for dpkg --recursive usage
  * allow warning generation for non-whitelisted options

  [ Oriol Debian ]
  * Catalan program translation update (Closes: #846514)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #849235)

  [ Niels Thykier ]
  * ParseDepends: Support passing the desired architecture (Closes: #845969)

 -- Julian Andres Klode <jak@debian.org>  Thu, 05 Jan 2017 20:50:01 +0100

apt (1.4~beta2) unstable; urgency=high

  [ John R. Lenton ]
  * bash-completion: Only complete understood file paths for install
    (LP: #1645815)

  [ Julian Andres Klode ]
  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)
  * gpgv: Flush the files before checking for errors

 -- Julian Andres Klode <jak@debian.org>  Thu, 08 Dec 2016 15:21:16 +0100

apt (1.4~beta1) unstable; urgency=medium

  [ Chris Leick ]
  * Updated German documentation translation
  * fix three typos in sources & manpages
  * German translation proof read by Helge Kreutzmann

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #840552)
  * Dutch manpages translation update (Closes: #840757)

  [ David Kalnischkies ]
  * don't install new deps of candidates for kept back pkgs
  * keep Release.gpg on untrusted to trusted IMS-Hit (Closes: 838779)
  * fix testcase expecting incorrect remove log from dpkg
  * reset HOME, USER(NAME), TMPDIR & SHELL in DropPrivileges (Closes: 842877)
  * show the conflicting distribution warning again (Closes: 841874)
  * rename Checksum-FileSize to Filesize in hashsum mismatch
  * improve SOCKS error messages for http slightly
  * support 'apt build-dep .' (aka: without /)
  * add TMP/TEMP/TEMPDIR to the TMPDIR DropPrivileges dance
  * http: skip connection cleanup if we close it anyhow
  * add hidden config to set packages as Essential/Important.
    Thanks to Anthony Towns for initial patch (Closes: 767891)
  * don't warn if untransformed distribution matches.
    Thanks to Lukas Anzinger for initial patch (Closes: 644610)
  * show distribution mismatch for changed codenames
  * react to trig-pend only if we have nothing else to do
  * correct cross & disappear progress detection
  * improve arch-unqualified dpkg-progress parsing
  * don't perform implicit crossgrades involving M-A:same
  * do not configure unconfigured to be removed packages
  * skip unconfigure for unconfigured to-be removed pkgs
  * report apt-key errors via status-fd messages (LP: #1522988)
  * add apt-key support for armored GPG key files (*.asc)
  * document which keyring formats are supported by apt-key (Closes: 844724)
  * get pdiff files from the same mirror as the index
  * follow the googletest merge in build-depends

  [ Michael Vogt ]
  * Do not (re)start "apt-daily.system"
    Thanks to Alexandre Detiste (Closes: #841763)

  [ Johannes Schauer ]
  * add support for Build-Depends/Conflicts-Arch (Closes: #837395)

  [ Edgar Fuß ]
  * http: clear content before reporting the failure (Closes: #465572)

  [ James Clarke ]
  * apt-ftparchive: Support NotAutomatic and ButAutomaticUpgrades fields
    (Closes: #272557)

  [ Julian Andres Klode ]
  * TagSection: Split AlphaIndexes into AlphaIndexes and BetaIndexes
  * TagSection: Extract Find() methods taking Pos instead of Key
  * Squashed 'triehash/' content from commit 16f59e1


## apt 1.4~rc2

=== CMakeLists.txt ===
--- 
+++ 
@@ -115,7 +115,7 @@
 
 check_function_exists(statvfs HAVE_STATVFS)
 if (NOT HAVE_STATVFS)
-  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/statvfs.h COPYONLY)
+  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
 endif()
 
 CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4~rc1")
+set(PACKAGE_VERSION "1.4~rc2")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4~rc2) unstable; urgency=medium

  [ David Kalnischkies ]
  * add Auto-Built-Package to tagfile-order
  * don't test with "too early for 32bit" years

  [ Julian Andres Klode ]
  * Do not lowercase package names representing .dsc/.deb/... files (Closes: #854794)
  * shippable: Perform CI on Debian stretch instead of Ubuntu xenial
  * Don't use -1 fd and AT_SYMLINK_NOFOLLOW for faccessat()
    Thanks to James Clarke for debugging these issues
  * CMake: Install statvfs.h to include/sys, not just include/
  * debian: Generate debian/copyright during clean

 -- Julian Andres Klode <jak@debian.org>  Wed, 22 Feb 2017 16:02:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 
 %:
 	dh $@
+
+override_dh_clean:
+	cp COPYING debian/copyright
 
 override_dh_install-indep:
 	dh_install --list-missing
@@ -29,6 +32,11 @@
 override_dh_installcron:
 	dh_installcron --name=apt-compat
 
+override_dh_systemd_start:
+	# Do not restart "apt-daily.service" because this script runs
+	# unattended-upgrades. So if apt itself is upgraded as part of
+	# an unattended-upgrades run it would kill itself
+	dh_systemd_start apt-daily.timer
 
 override_dh_auto_configure-arch: flags=-DWITH_DOC=OFF
 override_dh_auto_configure-indep: flags=-DWITH_DOC=ON

## apt 1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4~rc2")
+set(PACKAGE_VERSION "1.4")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4) unstable; urgency=medium

  * The April Fools' Release

  [ Julian Andres Klode ]
  * Ignore \.ucf-[a-z]+$ like we do for \.dpkg-[a-z]+$
  * Fix mistake in CHANGEPATH comment example

  [ Chris Lamb ]
  * auto-removal: Ignore running kernel if attempting a reproducible build
    (Closes: #857632)

  [ Joe Dalton ]
  * Danish program translation update (Closes: #856723)

  [ David Kalnischkies ]
  * Fix and avoid quoting in CommandLine::AsString (LP: #1672710)
  * Ignore AutomaticRemove conffile option in upgrade (Closes: #855891)

 -- Julian Andres Klode <jak@debian.org>  Sat, 01 Apr 2017 21:39:37 +0200

## apt 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4")
+set(PACKAGE_VERSION "1.4.1")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4.1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * systemd: Rework timing and add After=network-online (LP: #1615482)
  * debian/rules: Actually invoke dh_clean in override_dh_clean

  [ Unit 193 ]
  * apt-ftparchive: Support '.ddeb' dbgsym packages

 -- Julian Andres Klode <jak@debian.org>  Mon, 24 Apr 2017 18:47:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 override_dh_clean:
 	cp COPYING debian/copyright
+	dh_clean
 
 override_dh_install-indep:
 	dh_install --list-missing

## apt 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4.1")
+set(PACKAGE_VERSION "1.4.4")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4.4) unstable; urgency=medium

  [ Alan Jenkins ]
  * apt.systemd.daily: fix error from locking code (Closes: #862567)

 -- Julian Andres Klode <jak@debian.org>  Tue, 16 May 2017 23:19:50 +0200

apt (1.4.3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not try to (re)start timers outside 'apt' package (Closes: #862001)

  [ Miroslav Kure ]
  * Updated Czech translation of apt (Closes: #861943)

 -- Julian Andres Klode <jak@debian.org>  Thu, 11 May 2017 14:46:28 +0200

apt (1.4.2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Run unattended-upgrade -d in download part
  * apt.systemd.daily: Add locking
  * Split apt-daily timer into two (LP: #1686470)

  [ Matt Kraai ]
  * bash-completion: Fix spelling of autoclean (Closes: #861846)

 -- Julian Andres Klode <jak@debian.org>  Thu, 04 May 2017 22:52:10 +0200

## apt 1.4.6~17.04.1

=== debian/changelog ===
apt (1.4.6~17.04.1) zesty; urgency=medium

  * apt.systemd.daily: Do not pass -d to unattended-upgrade for the download
  job. This actually enables debugging. Instead check if unattended-upgrade
  supports an option --download-only (which is yet to be implemented) and use
  that (Closes: #863859)

 -- Julian Andres Klode <jak@debian.org>  Thu, 01 Jun 2017 10:50:26 +0200

apt (1.4.5) unstable; urgency=medium

  * Fix parsing of or groups in build-deps with ignored packages (LP: #1694697)

 -- Julian Andres Klode <jak@debian.org>  Wed, 31 May 2017 14:52:25 +0200

## apt 1.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4.4")
+set(PACKAGE_VERSION "1.4.6")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4.6) unstable; urgency=medium

  * apt.systemd.daily: Do not pass -d to unattended-upgrade for the download
  job. This actually enables debugging. Instead check if unattended-upgrade
  supports an option --download-only (which is yet to be implemented) and use
  that (Closes: #863859)

 -- Julian Andres Klode <jak@debian.org>  Thu, 01 Jun 2017 10:50:26 +0200

## apt 1.4.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4.6")
+set(PACKAGE_VERSION "1.4.7")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4.7) stretch; urgency=medium

  * New release with important fixes up to 1.5~beta1; also see LP: #1702326

  [ Robert Luberda ]
  * fix a "critical" typo in old changelog entry (Closes: 866358)

  [ David Kalnischkies ]
  * test suite/travis CI: ignore profiling warning in progress lines
  * use port from SRV record instead of initial port

  [ Julian Andres Klode ]
  * Reset failure reason when connection was successful, so later errors are
    reported as such and not as "connection failure" warnings.
  * debian/gbp.conf: Set debian-branch to 1.4.y
  * http: A response with Content-Length: 0 has no content, so don't try to
    read it - it will either timeout or the server closes the connection.
  * travis CI: Migrate to Docker

 -- Julian Andres Klode <jak@debian.org>  Thu, 13 Jul 2017 23:45:39 +0200

## apt 1.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4.7")
+set(PACKAGE_VERSION "1.4.8")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4.8) stretch; urgency=medium

  [ Balint Reczey ]
  * Gracefully terminate process when stopping apt-daily-upgrade (LP: #1690980)

  [ David Kalnischkies ]
  * don't ask an uninit _system for supported archs, this
    crashes the mirror method (LP: #1613184)

  [ Julian Andres Klode ]
  * Do not warn about duplicate "legacy" targets (Closes: #839259)
    (LP: #1697120)
  * apt-daily: Pull in network-online.target in service, not timer
    - this can cause a severe boot performance regression / hang
    (LP: #1716973)

 -- Julian Andres Klode <jak@debian.org>  Wed, 13 Sep 2017 18:47:33 +0200

## apt 1.4.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -172,7 +172,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.4.8")
+set(PACKAGE_VERSION "1.4.9")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.4.9) stretch-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <jak@debian.org>  Fri, 18 Jan 2019 11:42:07 +0100
